incubator-ooo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From w...@apache.org
Subject svn commit: r1162410 - in /incubator/ooo/site/trunk/tools: ./ fetch-all-web.sh kenai2website.sh readme.txt web-list.txt
Date Sat, 27 Aug 2011 18:15:36 GMT
Author: wave
Date: Sat Aug 27 18:15:36 2011
New Revision: 1162410

URL: http://svn.apache.org/viewvc?rev=1162410&view=rev
Log:
website conversion scripts copied from ooo/trunk/tools/dev/ and updated in ooo/site/trunk/tools/.

Added:
    incubator/ooo/site/trunk/tools/
    incubator/ooo/site/trunk/tools/fetch-all-web.sh   (with props)
    incubator/ooo/site/trunk/tools/kenai2website.sh   (with props)
    incubator/ooo/site/trunk/tools/readme.txt   (with props)
    incubator/ooo/site/trunk/tools/web-list.txt   (with props)

Added: incubator/ooo/site/trunk/tools/fetch-all-web.sh
URL: http://svn.apache.org/viewvc/incubator/ooo/site/trunk/tools/fetch-all-web.sh?rev=1162410&view=auto
==============================================================================
--- incubator/ooo/site/trunk/tools/fetch-all-web.sh (added)
+++ incubator/ooo/site/trunk/tools/fetch-all-web.sh Sat Aug 27 18:15:36 2011
@@ -0,0 +1,55 @@
+#!/bin/sh
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+#
+# Use this script to fetch all a project's webcontent for the projects
+# listed in the specified file (typically, webcontent-list.txt).
+#
+# See https://cwiki.apache.org/confluence/display/OOOUSERS/OOo-Sitemap
+# for a note on the checkout from the Kenai svn repository.
+#
+# USAGE:
+#   $ ./fetch-all-web.sh WEB-LIST WORK-DIR
+#
+#     WEB-LIST is a file containing the list of Projects to fetch
+#       (see the file tools/dev/webcontent-list.txt)
+#     WORK-DIR each project's webcontent will be created in a
+#       subdirectory of WORK-DIR
+#
+#  Future steps will include scripts to transform the content for
+#  the Apache CMS or a Confluence Wiki import
+#
+
+if test "$#" != 1; then
+  echo "USAGE: $0 WEB-LIST"
+  exit 1
+fi
+
+webdir=`dirname "$1"`
+webfile=`basename "$1"`
+weblist=`(cd "$webdir" ; pwd)`/$webfile
+
+
+for webproject in `grep '^./' $weblist` ; do
+    echo "'$webproject'."
+    echo "====================="
+    ./kenai2website.sh ${webproject}
+    echo " "
+done

Propchange: incubator/ooo/site/trunk/tools/fetch-all-web.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/ooo/site/trunk/tools/fetch-all-web.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/ooo/site/trunk/tools/kenai2website.sh
URL: http://svn.apache.org/viewvc/incubator/ooo/site/trunk/tools/kenai2website.sh?rev=1162410&view=auto
==============================================================================
--- incubator/ooo/site/trunk/tools/kenai2website.sh (added)
+++ incubator/ooo/site/trunk/tools/kenai2website.sh Sat Aug 27 18:15:36 2011
@@ -0,0 +1,56 @@
+#!/bin/sh
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+#
+# Use this script to fetch all a project's webcontent for the projects
+# listed in the specified file (typically, webcontent-list.txt).
+#
+# See https://cwiki.apache.org/confluence/display/OOOUSERS/OOo-Sitemap
+# for a note on the checkout from the Kenai svn repository.
+#
+# USAGE:
+#   $ ./kenai2website.sh WEB-PROJECT SITE-DIR
+#
+#     WEB-LIST is a file containing the list of Projects to fetch
+#       (see the file tools/dev/webcontent-list.txt)
+#     WORK-DIR each project's webcontent will be created in a
+#       subdirectory of WORK-DIR
+#
+#  Future steps will include scripts to transform the content for
+#  the Apache CMS or a Confluence Wiki import
+#
+
+if test "$#" != 1; then
+  echo "USAGE: $0 PROJECT"
+  exit 1
+fi
+
+REPOS='https://svn.openoffice.org/svn/'
+REPOS2='~webcontent'
+
+webproject=$1
+
+cd /tmp
+rm -rf ${webproject}
+
+webrepos=${REPOS}${webproject}${REPOS2}
+
+echo "============ '$webproject' is being exported ..."
+svn export $webrepos $webproject

Propchange: incubator/ooo/site/trunk/tools/kenai2website.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: incubator/ooo/site/trunk/tools/kenai2website.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: incubator/ooo/site/trunk/tools/readme.txt
URL: http://svn.apache.org/viewvc/incubator/ooo/site/trunk/tools/readme.txt?rev=1162410&view=auto
==============================================================================
--- incubator/ooo/site/trunk/tools/readme.txt (added)
+++ incubator/ooo/site/trunk/tools/readme.txt Sat Aug 27 18:15:36 2011
@@ -0,0 +1,51 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+#
+# This file contains a list of every project's webcontent currently
+# hosted on Oracle's Kenai svn repository at:
+#   https://svn.openoffice.org/svn/<$projectname>~webcontent
+#
+# The webcontent repositories that should not be pulled are commented out,
+# with a short explanation why.
+#
+# Note: for automated processing of this file, use only lines that
+# begin with "./".
+#
+
+This directory contains the scripts used in converting content on the OOo websites.
+
+kenai2website.sh <project>
+==========================
+
+This is used to pull a Kenai webrepos to a /tmp directory. It will be enhanced to
+perform additional steps for converting and updating the folder in the project's
+website - content/openofficeorg/<project>/.
+
+The enhancements will wait until we've done a few more projects manually.
+
+fetch-all-web.sh <project-list>
+===============================
+
+This is used to call kenai2website for a list of projects.
+
+web-list.txt
+============
+
+This is a list of OOo projects in Kenai. It is not yet complete.

Propchange: incubator/ooo/site/trunk/tools/readme.txt
------------------------------------------------------------------------------
    svn:eol-style = native

Added: incubator/ooo/site/trunk/tools/web-list.txt
URL: http://svn.apache.org/viewvc/incubator/ooo/site/trunk/tools/web-list.txt?rev=1162410&view=auto
==============================================================================
--- incubator/ooo/site/trunk/tools/web-list.txt (added)
+++ incubator/ooo/site/trunk/tools/web-list.txt Sat Aug 27 18:15:36 2011
@@ -0,0 +1,36 @@
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+#
+# This file contains a list of every project's webcontent currently
+# hosted on Oracle's Kenai svn repository at:
+#   https://svn.openoffice.org/svn/<$projectname>~webcontent
+#
+# The webcontent repositories that should not be pulled are commented out,
+# with a short explanation why.
+#
+# Note: for automated processing of this file, use only lines that
+# begin with "./".
+#
+
+./www
+./download
+./de
+./projects
+./development

Propchange: incubator/ooo/site/trunk/tools/web-list.txt
------------------------------------------------------------------------------
    svn:eol-style = native



Mime
View raw message